import 'package:flutter/material.dart';
import 'package:flutter_svg/svg.dart';

class ScanButton extends StatelessWidget {
  const ScanButton({super.key});
  static const Color transparent = Color(0xFFFFFFF);

  @override
  Widget build(BuildContext context) {
    return Container(
      width: 76,
      height: 76,
      decoration: BoxDecoration(
        shape: BoxShape.circle,
        color: const Color.fromARGB(223, 67, 63, 179),
      ),
      padding: EdgeInsets.all(10),
      child: IconButton(
        icon: SvgPicture.asset(
          'assets/icons/Scan.svg',
          width: 60,
          height: 60,
          colorFilter: ColorFilter.mode(
            Color.fromARGB(255, 217, 219, 227),
            BlendMode.srcIn,
          ),
        ),
        onPressed: () {},
      ),
    );
  }
}
